/*****************************************************************************
     This file is part of the Changedfiles system

     Copright (C)2001  Michael L. Welles

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************/
/*  $Id: queue_handler.h,v 1.16 2003/11/10 21:58:43 mike Exp $ */
#ifndef _QUEUEHANDLER_H_
#define _QUEUEHANDLER_H_
#include "action_queue.h"
#include <string>
#include "bangconfig.h"
#include "file_operation.h"

using std::string; 
typedef std::list<ActionQueue> QUEUE_LIST; 

class QueueHandler
{ 

 public:
  QueueHandler(){};
  QueueHandler(BangConf*); 
  ~QueueHandler();
  bool add_file(FileOperation fo); 
  bool  do_pending(); 
  void start(); 

 private: 
  
  QUEUE_LIST m_queue_list; 
}; 

#endif
