/*****************************************************************************
     This file is part of the Changedfiles System

     Copright (C)2001  Michael L. Welles

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************/

/* $Id */ 
#include <stdio.h> 
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h> 
#include <unistd.h>
#define MAX_READ 512
#define SLEEP_WAIT 200
main (int argc, char **argv)
{
  int fd; 
  ssize_t num; 
  char msg[MAX_READ]; 
  
  while ( 1 ) 
    { 
#ifdef USE_PROC
	  fd=open("/proc/changedfiles", O_RDONLY); 
#else
	  fd=open("/dev/changedfiles", O_RDONLY); 
#endif
	  if ( fd < 0 )
		{ 
		  printf("Could not open /dev/changedfiles: %s\n", strerror(errno)); 
		}
	  
	  num=read(fd, msg, MAX_READ); 
	  if (num > 0 ) 
		{ 
		  printf("%s\n", msg); 
		}
	  else 
	    { 
	      usleep(SLEEP_WAIT); 
	    }
	  close (fd); 

	}
  exit(0); 
}
      
